package com.approximatrix.draco.application.plugin;

public class UnknownPlugin implements PluginData {

	private String name = null;
	private String origin = null;
	private String results = null;
	private String sClass = null;
	private PluginType type = null;
	private int version = 0;
	
	public UnknownPlugin() {
		
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getOrigin() {
		return origin;
	}

	public void setOrigin(String origin) {
		this.origin = origin;
	}

	public String getResults() {
		return results;
	}

	public void setResults(String results) {
		this.results = results;
	}

	public String getScriptClass() {
		return sClass;
	}

	public void setScriptClass(String class1) {
		sClass = class1;
	}

	public PluginType getType() {
		return type;
	}

	public void setType(PluginType pt) {
		this.type = pt;
	}
	
	public void setType(String type) {
		try {
			this.type = PluginType.valueOf(type);
		} catch(Exception e) {
			this.type = null;
		}
	}

	public int getVersion() {
		return version;
	}

	public void setVersion(int version) {
		this.version = version;
	}	
	
}
